---
RSpec/InvalidFeatureCategory:
  Exclude:
    - 'ee/spec/controllers/admin/application_settings_controller_spec.rb'
    - 'ee/spec/controllers/admin/applications_controller_spec.rb'
    - 'ee/spec/controllers/admin/dashboard_controller_spec.rb'
    - 'ee/spec/controllers/admin/emails_controller_spec.rb'
    - 'ee/spec/controllers/countries_controller_spec.rb'
    - 'ee/spec/controllers/country_states_controller_spec.rb'
    - 'ee/spec/controllers/sitemap_controller_spec.rb'
    - 'ee/spec/features/admin/admin_dashboard_spec.rb'
    - 'ee/spec/features/dashboards/operations_spec.rb'
    - 'ee/spec/requests/api/award_emoji_spec.rb'
    - 'ee/spec/requests/api/settings_spec.rb'
    - 'spec/config/inject_enterprise_edition_module_spec.rb'
    - 'spec/config/object_store_settings_spec.rb'
    - 'spec/config/smime_signature_settings_spec.rb'
    - 'spec/contracts/provider_specs/helpers/provider/contract_source_helper_spec.rb'
    - 'spec/controllers/concerns/content_security_policy_patch_spec.rb'
    - 'spec/features/action_cable_logging_spec.rb'
    - 'spec/features/admin/admin_abuse_reports_spec.rb'
    - 'spec/features/admin/admin_appearance_spec.rb'
    - 'spec/features/admin/admin_browse_spam_logs_spec.rb'
    - 'spec/features/admin/admin_mode_spec.rb'
    - 'spec/features/admin/admin_settings_spec.rb'
    - 'spec/features/admin/admin_system_info_spec.rb'
    - 'spec/features/breadcrumbs_schema_markup_spec.rb'
    - 'spec/features/dashboard/root_explore_spec.rb'
    - 'spec/features/dashboard/shortcuts_spec.rb'
    - 'spec/features/display_system_header_and_footer_bar_spec.rb'
    - 'spec/features/frequently_visited_projects_and_groups_spec.rb'
    - 'spec/features/help_dropdown_spec.rb'
    - 'spec/features/help_pages_spec.rb'
    - 'spec/features/monitor_sidebar_link_spec.rb'
    - 'spec/features/unsubscribe_links_spec.rb'
    - 'spec/features/whats_new_spec.rb'
    - 'spec/lib/api/helpers_spec.rb'
    - 'spec/lib/gitlab/slug/path_spec.rb'
    - 'spec/lib/gitlab/utils/strong_memoize_spec.rb'
    - 'spec/models/application_setting_spec.rb'
    - 'spec/models/namespaces/randomized_suffix_path_spec.rb'
    - 'spec/requests/admin/version_check_controller_spec.rb'
    - 'spec/requests/api/admin/plan_limits_spec.rb'
    - 'spec/requests/api/admin/sidekiq_spec.rb'
    - 'spec/requests/api/api_guard/admin_mode_middleware_spec.rb'
    - 'spec/requests/api/api_guard/response_coercer_middleware_spec.rb'
    - 'spec/requests/api/award_emoji_spec.rb'
    - 'spec/requests/api/graphql/custom_emoji_query_spec.rb'
    - 'spec/requests/api/graphql/multiplexed_queries_spec.rb'
    - 'spec/requests/api/graphql/mutations/admin/sidekiq_queues/delete_jobs_spec.rb'
    - 'spec/requests/api/graphql/mutations/award_emojis/add_spec.rb'
    - 'spec/requests/api/graphql/mutations/award_emojis/remove_spec.rb'
    - 'spec/requests/api/graphql/mutations/award_emojis/toggle_spec.rb'
    - 'spec/requests/api/graphql/mutations/custom_emoji/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/custom_emoji/destroy_spec.rb'
    - 'spec/requests/api/graphql/query_spec.rb'
    - 'spec/requests/api/graphql_spec.rb'
    - 'spec/requests/api/internal/workhorse_spec.rb'
    - 'spec/requests/api/metadata_spec.rb'
    - 'spec/requests/api/settings_spec.rb'
    - 'spec/requests/api/sidekiq_metrics_spec.rb'
    - 'spec/requests/projects/uploads_spec.rb'
    - 'spec/requests/sandbox_controller_spec.rb'
    - 'spec/rubocop/cop/gitlab/doc_url_spec.rb'
    - 'spec/rubocop/cop/lint/last_keyword_argument_spec.rb'
    - 'spec/rubocop/cop/rspec/avoid_test_prof_spec.rb'
